aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMartin Mokrejš <mmokrejs@fold.natur.cuni.cz>2014-06-25 23:56:38 +0200
committerMartin Mokrejš <mmokrejs@fold.natur.cuni.cz>2014-06-25 23:56:38 +0200
commitb5afb3e918e1e43fcc80466e3dafa96550761a12 (patch)
tree26c8543e4bb44dfd3c860664d581ee6fd5cb481f /sci-biology/ncbi-tools++/ncbi-tools++-12.0.0.ebuild
parentsci-biology/ncbi-tools++-12.0.0: install colliding files under a name suffixe... (diff)
downloadsci-b5afb3e918e1e43fcc80466e3dafa96550761a12.tar.gz
sci-b5afb3e918e1e43fcc80466e3dafa96550761a12.tar.bz2
sci-b5afb3e918e1e43fcc80466e3dafa96550761a12.zip
sci-biology/ncbi-tools++-12.0.0: re-added update patch to configure so that we can avoid eautoconf until there is autoconf-2.59 system-wide
Diffstat (limited to 'sci-biology/ncbi-tools++/ncbi-tools++-12.0.0.ebuild')
-rw-r--r--sci-biology/ncbi-tools++/ncbi-tools++-12.0.0.ebuild4
1 files changed, 2 insertions, 2 deletions
diff --git a/sci-biology/ncbi-tools++/ncbi-tools++-12.0.0.ebuild b/sci-biology/ncbi-tools++/ncbi-tools++-12.0.0.ebuild
index 6de9b4fa1..746a3feb3 100644
--- a/sci-biology/ncbi-tools++/ncbi-tools++-12.0.0.ebuild
+++ b/sci-biology/ncbi-tools++/ncbi-tools++-12.0.0.ebuild
@@ -112,6 +112,7 @@ src_prepare() {
"${FILESDIR}"/${P}-linkage-tuneups.patch
"${FILESDIR}"/${P}-more-patches.patch
"${FILESDIR}"/${P}-linkage-tuneups-addons.patch
+ "${FILESDIR}"/${P}-configure.patch
)
# "${FILESDIR}"/${P}-as-needed.patch
# "${FILESDIR}"/${P}-fix-creaders-linking.patch
@@ -121,7 +122,6 @@ src_prepare() {
# "${FILESDIR}"/${P}-linking2.patch
# )
# "${FILESDIR}"/${P}-support-autoconf-2.60.patch
- # "${FILESDIR}"/${P}-configure.patch
epatch ${PATCHES[@]}
# make sure this one is the last one and contains the actual patches applied unless we can have autoconf-2.59 or 2.60
# https://bugs.gentoo.org/show_bug.cgi?id=514706
@@ -132,7 +132,7 @@ src_prepare() {
# eautoreconf
# Temporarily disabling eautoconf because we patch configure via ${P}-support-autoconf-2.60.patch
- #eautoconf
+ # eautoconf # keep it disabled until we can ensure 2.59 is installed
# beware 12.0.0. and previous required autoconf-2.59, a patch for 12.0.0 brings autoconf-2.60 support
}